Apache JMeter

## org.apache.jmeter.samplers
Interface SampleListener

All Known Implementing Classes:
  BeanShellListener, BSFListener, JSR223Listener, MailerResultCollector, RemoteListenerWrapper, RemoteSampleListenerImpl, RemoteSampleListenerWrapper, ResultAction, ResultCollector, ResultSaver, Summariser, TransactionController

    public interface SampleListener

Allows notification on events occuring during the sampling process. Specifically, when sampling is started, when a specific sample is obtained, and when sampling is stopped.

Version:
  $Revision: 674365 $

Method Summary
`void` `sampleOccurred(SampleEvent e)` A sample has started and stopped.
`void` `sampleStarted(SampleEvent e)` A sample has started.
`void` `sampleStopped(SampleEvent e)` A sample has stopped.

Method Detail

### sampleOccurred

    void sampleOccurred(SampleEvent e)

  A sample has started and stopped.

### sampleStarted

    void sampleStarted(SampleEvent e)

  A sample has started.

### sampleStopped

    void sampleStopped(SampleEvent e)

  A sample has stopped.

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.